@warning_ignore_start("unused_signal")
extends Node

signal dialogue_requested(text: String)
signal dialogue_finished()

signal mask_changed(new : Types.mask_types)
signal mask_uses_changed(new : int)
signal health_changed(new : int)
signal player_dmg()
signal screenshake(intensity : float)
signal mask_time_changed(time : float)
signal cut_grass_at(p, r)

# settings
signal change_glow(new : bool)

# debug
signal debug_print(text : String)
signal debug_enable(new : bool)
